<?php
if ( ! defined( 'ABSPATH' ) ) {
	die( '-1' );
}
// padding
$padding       = array(
	'top'    => isset( $this->field_data->padding_top ) ? esc_attr( $this->field_data->padding_top ) : '',
	'right'  => isset( $this->field_data->padding_right ) ? esc_attr( $this->field_data->padding_right ) : '',
	'bottom' => isset( $this->field_data->padding_bottom ) ? esc_attr( $this->field_data->padding_bottom ) : '',
	'left'   => isset( $this->field_data->padding_left ) ? esc_attr( $this->field_data->padding_left ) : '',
);
$padding_value = implode(
	' ',
	array_map(
		function( $k, $v ) {
			$val = ! empty( $v ) ? $v : 0;

			return esc_attr( $val ) . esc_attr( $this->field_data->padding_type );
		},
		array_keys( $padding ),
		$padding
	)
);

// margin
$margin       = array(
	'top'    => isset( $this->field_data->margin_top ) ? esc_attr( $this->field_data->margin_top ) : '',
	'right'  => isset( $this->field_data->margin_right ) ? esc_attr( $this->field_data->margin_right ) : '',
	'bottom' => isset( $this->field_data->margin_bottom ) ? esc_attr( $this->field_data->margin_bottom ) : '',
	'left'   => isset( $this->field_data->margin_left ) ? esc_attr( $this->field_data->margin_left ) : '',
);
$margin_value = implode(
	' ',
	array_map(
		function( $k, $v ) {
			$val = ! empty( $v ) ? $v : 0;

			return esc_attr( $val ) . esc_attr( $this->field_data->margin_type );
		},
		array_keys( $margin ),
		$margin
	)
);

$style_atts = array();
if ( ! empty( $margin_value ) ) {
	$style_atts['margin'] = esc_attr( $margin_value );
}
$style_atts = MZLDR_Helper::getCSSAttributes( $style_atts );

$inner_style_atts = array(
	'background' => isset( $this->field_data->background ) ? esc_attr( $this->field_data->background ) : ''
);
if ( ! empty( $padding_value ) ) {
	$inner_style_atts['padding'] = esc_attr( $padding_value );
}
$inner_style_atts = MZLDR_Helper::getCSSAttributes( $inner_style_atts );

$icon_value = $this->field_data->icon;
$icon_tab_value = $this->field_data->icon_tab;
?>
<div class="mazloader-item-icon"<?php echo $style_atts; ?>>
	<div <?php echo $inner_style_atts; ?>>
	<?php
	if (in_array($icon_tab_value, ['svg', 'gif'])) {
		echo '<img src="'. MZLDR_PUBLIC_MEDIA_URL . 'img/' . esc_attr( $icon_tab_value ) . '/' . esc_attr( $icon_value ) . '.' . esc_attr( $icon_tab_value ) . '" alt="' . __( 'preloader image', 'maz-loader' ). '" />';
	} elseif ($icon_tab_value == 'css-other') {
		$data = MZLDR_Icon_Field::getCSSOtherIconData($icon_value);

		echo '<div class="mzldr-css-icon ' . esc_attr( $icon_tab_value ) . ' style' . esc_attr( $icon_value ) . '">';

		if (isset($data['external_file'])) {
			if (isset($data['type']) && $data['type'] == 'svg') {
				echo $data['html'];
			} else {
			echo '<img src="' . MZLDR_PUBLIC_MEDIA_URL . 'img/css_other/' . esc_attr( $data['filename'] ) . '" alt="' . __( 'preloader image', 'maz-loader' ) . '" />';
			}
		} else {
			echo $data['css'];
		}

		echo '</div>';
	}
	?>
	</div>
</div>
